<?
# All author: XxxDIABLOxxX
# Pabl modules
# achievement.php

    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';

include './system/h.php';  
# ID
$id = _string(_num($_GET['id']));
  if($id) {
    $users = mysql_query('SELECT * FROM `users` WHERE `id` = "'.$id.'"');
    $users = mysql_fetch_array($users);
    
    if(!$users) {
      header('location: /user/');
      exit;
    }

    }
    else
    { 
      $users = $user;
    }
	
	   $title = 'Достижения '.$users['login'].'';    
	
# achievement
        if($users['str'] > 1000) $users['str'] = 1000;
               if($users['ach_undying'] > 2000) $users['ach_undying'] = 2000;
               if($users['ach_coliseum'] > 4500) $users['ach_coliseum'] = 4500;
               if($users['ach_arena'] > 6200) $users['ach_arena'] = 6200;
               if($users['level'] > 20) $users['level'] = 20;
# array
$name = array (
               'Силач',
			   'Бездушный воин',
			   'Прирождённый победитель',
			   'Ангел смерти',
			   'Юбилейный уровень'
			            );

$ach = array (
              ''.$users['str'].'',
			  ''.$users['ach_undying'].'',
			  ''.$users['ach_coliseum'].'',
			  ''.$users['ach_arena'].'',
			  ''.$users['level'].''
			            );
$level = array (
              '1000',
			  '250',
			  '500',
			  '1000',
			  '20'
			            );
$cost = array (
              '120',
			  '165',
			  '230',
			  '650',
			  '1320'
			            );
$achievement_text = array (
                'Параметр силы должен быть не менее 1000 ед.',
				'Убей 250 врагов в долине бессмертных',
				'Убей 500 врагов в колизее',
				'Одержи 1000 побед на арене',
				'Необходимо достичь 20-го уровня.'
				 );
#
echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\'>
<center>Достижения - получай награду за выполниные достижения!</center></div>
<div class=\'line\'></div>';	

for ($i = 0; $i < 5; $i++)
{
?>
      
                 <div class='content'>
                 <table cellpadding='0' cellspacing='0'>
                 <tr>
                 <td><img src='/images/achievement/<?=$level[$i];?>.png' width='50' alt='*'/></td>
                 <td valign='top' style='padding-left: 5px;'><?=$name[$i];?>
                 <br/>
				 <small><small>
				 <?=$achievement_text[$i];?><br />
				 <font color='#90c090'>
                 Прогресс: <?=$ach[$i]; ?> / <?=$level[$i];?> ед.
				 </font>
                 </small></small></td></tr></table>
				 Награда: <img src='/images/icon/gold.png'>
		         <?=$cost[$i];?>
				 </center>
                 </small></small></td>
                 </tr></table>
                 </div><div class='line'></div>
<?
}  
include './system/f.php';

?>